package com.huatek.busi.service;

import com.huatek.busi.dto.SimulateResultDto;
import com.huatek.busi.entity.AssessInputData;
import com.huatek.busi.entity.SimulateResult;
import com.huatek.busi.vo.SimulateResultVo;
import com.huatek.busi.vo.TransformerInputDateVo;
import com.huatek.busi.where.SimulateResultSelectVo;

import java.util.List;
import java.util.Map;

public interface ISimulateResultService {
    Map<String, Object> list(SimulateResultSelectVo simulateResultSelectVo);
    SimulateResult findById(String id);
    Map<String, Object> calculateByInputItemDate(String token, SimulateResultVo simulateResultVo);
    Map<String, Object> calculatetransformerByInputItemDate(String token, TransformerInputDateVo transformerInputDateVo);
    String getFilePath(String filePath);

    List<SimulateResultDto> listSimulate(String equipmentType,String pId);
    Map<String, Object> simulate(Map<String, Object> mainId);

    Map<String, Object> drivepipeList(SimulateResultSelectVo simulateResultSelectVo);

    Map<String, Object> findOilList(SimulateResultSelectVo simulateResultSelectVo);

    Map<String, Object> findCsvData(String token, SimulateResultVo simulateResultVo);

    Map<String, Object> resultData(SimulateResultSelectVo simulateResultSelectVo);

    Map<String, Object> findAssessList();

    Map<String, Object> findListByJudgment(String name, String num);

    int updateAssessList(String token, List<AssessInputData> inputData);

    Map<String, Object> findAssessAllList();
}
